Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ehbox.v3.builders
Interface RequestBuilder

All Known Implementing Classes:
  RequestBuilderImpl

    public interface RequestBuilder

creates the all different request objects except for the SendMessageRequest. for sendMessageRequest you have to use the `SendMessageBuilder`. Default impl : `RequestBuilderImpl` Factory : `BuilderFactory`

Method Summary
`GetAllEhboxesMessagesListRequest` | `createAllEhboxesMessagesListRequest(String source)` retrieve all messages for given source from all ehealthboxes. a maximum of 100 messages will be returned.
`GetAllEhboxesMessagesListRequest` | `createAllEhboxesMessagesListRequest(String source, Integer startIndex, Integer endIndex)` retrieve all messages for default ehealthbox.
`GetBoxInfoRequest` | `createBoxInfoRequest(BoxIdType boxId)` retrieve the information from the given ehealthboxes.
`GetBoxInfoRequest` | `createBoxInfoRequestForDefaultBox()` retrieve the information about the default ehealtbox.
`DeleteMessageRequest` | `createDeleteMessageRequest(String source, BoxIdType boxId, List<String> messageIds)` create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.
`DeleteMessageRequest` | `createDeleteMessageRequest(String source, BoxIdType boxId, String... messageIds)` create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.
`DeleteMessageRequest` | `createDeleteMessageRequest(String source, List<String> messageIds)` creates a DeleteMessageRequest which asks the server to delete some messages.
`DeleteMessageRequest` | `createDeleteMessageRequest(String source, String... messageIds)` creates a DeleteMessageRequest which asks the server to delete some messages.
`DeleteOoORequest` | `createDeleteOoORequest(BoxIdType boxId, List<String> oOoIds)` delete the OoO's for the given ehealthBoxes.
`DeleteOoORequest` | `createDeleteOoORequest(BoxIdType boxId, String... oOoIds)` delete the OoO's for the given ehealthBoxes.
`DeleteOoORequest` | `createDeleteOoORequest(List<String> oOoIds)` delete the OoO's for the default ehealthbox.
`DeleteOoORequest` | `createDeleteOoORequest(String... oOoIds)` delete the OoO's for the default ehealthbox.
`GetAllEhboxesMessagesListRequest` | `createGetAllEhboxesMessagesListRequest(String source, Integer startIndex, Integer endIndex)` retrieve messages from all ehealthboxes for a given source , start and endIndex.
`GetFullMessageRequest` | `createGetFullMessageRequest(String messageId)` retrieve message information of the message GetFullMessageRequest from INBOX with given messageId.
`GetFullMessageRequest` | `createGetFullMessageRequest(String messageId, String source)` retrieve message information of the message GetFullMessageRequest for the default ehealthbox.
`GetFullMessageRequest` | `createGetFullMessageRequest(String messageId, String source, BoxIdType boxId)` retrieve message information of the message GetFullMessageRequest .
`GetHistoryRequest` | `createGetHistoryRequest(String messageId)` retrieve message information of the message GetHistoryRequest from INBOX with given messageId.
`GetHistoryRequest` | `createGetHistoryRequest(String messageId, String source)` retrieve message information of the message GetHistoryRequest for the default ehealthbox.
`GetHistoryRequest` | `createGetHistoryRequest(String messageId, String source, BoxIdType boxId)` retrieve message information of the message GetHistoryRequest .
`GetMessageAcknowledgmentsStatusRequest` | `createGetMessageAcknowledgmentsStatusRequest(String messageId)` retrieve acknowledementStatuses for a message. a maximum of 100 statussen will be retrieved.
`GetMessageAcknowledgmentsStatusRequest` | `createGetMessageAcknowledgmentsStatusRequest(String messageId, Integer startIndex, Integer endIndex, BoxIdType boxId)` retrieve acknowledementStatuses for a message.
`GetMessagesListRequest` | `createGetMessagesListRequest(String source)` retrieve the messages for a given source and the default ehealthbox.
`GetMessagesListRequest` | `createGetMessagesListRequest(String source, int startIndex, int endIndex, BoxIdType boxId)` retrieve the messages .
`GetOoOListRequest` | `createGetOoOListRequest()` retrieve the Out Of Offices for the default ehealthbox.
`GetOoOListRequest` | `createGetOoOListRequest(BoxIdType boxId)` retrieve the Out Of Offices for the given ehealthBox.
`InsertOoORequest` | `createInsertOoORequest(BoxIdType boxId, org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, BoxIdType... substitutes)` Insert an Out of Office with substitutes for the given Ehealthboxes .
`InsertOoORequest` | `createInsertOoORequest(BoxIdType boxId, org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, List<BoxIdType> substitutes)` Insert an Out of Office with substitutes for the given Ehealthboxes .
`InsertOoORequest` | `createInsertOoORequest(org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, BoxIdType... substitutes)` Insert an Out of Office with substitutes for the default ehealthBox.
`InsertOoORequest` | `createInsertOoORequest(org.joda.time.DateTime startDate, org.joda.time.DateTime endDate, List<BoxIdType> substitutes)` Insert an Out of Office with substitutes for the default ehealthBox.
`MessageRequestType` | `createMessageRequestType(String messageId)` Deprecated.
`MessageRequestType` | `createMessageRequestType(String messageId, String source)` Deprecated.
`MessageRequestType` | `createMessageRequestType(String messageId, String source, BoxIdType boxId)` Deprecated.
`MoveMessageRequest` | `createMoveMessageRequest(String source, String destination, BoxIdType boxId, List<String> messageIds)` move messages beteen source for given ehealthboxes.
`MoveMessageRequest` | `createMoveMessageRequest(String source, String destination, BoxIdType boxId, String... messageIds)` move messages beteen source for given ehealthboxes.
`MoveMessageRequest` | `createMoveMessageRequest(String source, String destination, List<String> messageIds)` move messages between sources for default ehealthbox.
`MoveMessageRequest` | `createMoveMessageRequest(String source, String destination, String... messageIds)` move messages between sources for default ehealthbox.

Method Detail

### createDeleteMessageRequest

    DeleteMessageRequest createDeleteMessageRequest(String source,
                                                    String... messageIds)

  creates a DeleteMessageRequest which asks the server to delete some messages.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `messageIds` - one or more messageIds to delete
  Returns:
    the filled out `DeleteMessageRequest`

### createDeleteMessageRequest

    DeleteMessageRequest createDeleteMessageRequest(String source,
                                                    List<String> messageIds)

  creates a DeleteMessageRequest which asks the server to delete some messages.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `messageIds` - one or more messageIds to delete
  Returns:
    the filled out `DeleteMessageRequest`

### createDeleteMessageRequest

    DeleteMessageRequest createDeleteMessageRequest(String source,
                                                    BoxIdType boxId,
                                                    String... messageIds)

  create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
    `messageIds` - the id(s) of the message(s) to delete
  Returns:

### createDeleteMessageRequest

    DeleteMessageRequest createDeleteMessageRequest(String source,
                                                    BoxIdType boxId,
                                                    List<String> messageIds)

  create a deleteMessageRequest for a list of messages for a given source and ehealthBoxes.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
    `messageIds` - the id(s) of the message(s) to delete
  Returns:

### createGetAllEhboxesMessagesListRequest

    GetAllEhboxesMessagesListRequest createGetAllEhboxesMessagesListRequest(String source,
                                                                            Integer startIndex,
                                                                            Integer endIndex)

  retrieve messages from all ehealthboxes for a given source , start and endIndex.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `startIndex` - index of the first message , min 1 index of the first message , min 1
    `endIndex` - index of the last message, max startIndex + 100
  Returns:

### createGetMessagesListRequest

    GetMessagesListRequest createGetMessagesListRequest(String source,
                                                        int startIndex,
                                                        int endIndex,
                                                        BoxIdType boxId)

  retrieve the messages .

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `startIndex` - index of the first message , min 1
    `endIndex` - index of the last message, max startIndex + 100
    `boxId` - `BoxIdType` the ehealthBox to use
  Returns:

### createGetMessagesListRequest

    GetMessagesListRequest createGetMessagesListRequest(String source)

  retrieve the messages for a given source and the default ehealthbox.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
  Returns:

### createBoxInfoRequestForDefaultBox

    GetBoxInfoRequest createBoxInfoRequestForDefaultBox()

  retrieve the information about the default ehealtbox.

  Returns:

### createBoxInfoRequest

    GetBoxInfoRequest createBoxInfoRequest(BoxIdType boxId)

  retrieve the information from the given ehealthboxes.

  Parameters:
    `boxId` - `BoxIdType` the ehealthBox to use
  Returns:

### createAllEhboxesMessagesListRequest

    GetAllEhboxesMessagesListRequest createAllEhboxesMessagesListRequest(String source)

  retrieve all messages for given source from all ehealthboxes. a maximum of 100 messages will be returned.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
  Returns:

### createAllEhboxesMessagesListRequest

    GetAllEhboxesMessagesListRequest createAllEhboxesMessagesListRequest(String source,
                                                                         Integer startIndex,
                                                                         Integer endIndex)

  retrieve all messages for default ehealthbox.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `startIndex` - index of the first message , min 1
    `endIndex` - index of the last message, max startIndex + 100
  Returns:

### createMessageRequestType

    @Deprecated
    MessageRequestType createMessageRequestType(String messageId)

  Deprecated.

  retrieve message information of the message ( fullMessage, history , ... depending on method ) from INBOX with given messageId.

  Parameters:
    `messageId` - the message for which this MessageRequest is created.
  Returns:

### createMessageRequestType

    @Deprecated
    MessageRequestType createMessageRequestType(String messageId,
                                                           String source)

  Deprecated.

  retrieve message information of the message ( fullMessage, history , ... depending on method ) for the default ehealthbox.

  Parameters:
    `messageId` - the message for which this MessageRequest is created.
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
  Returns:

### createMessageRequestType

    @Deprecated
    MessageRequestType createMessageRequestType(String messageId,
                                                           String source,
                                                           BoxIdType boxId)

  Deprecated.

  retrieve message information of the message ( fullMessage, history , ... depending on method ) .

  Parameters:
    `messageId` - the message for which this MessageRequest is created.
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
  Returns:

### createGetFullMessageRequest

    GetFullMessageRequest createGetFullMessageRequest(String messageId)

  retrieve message information of the message GetFullMessageRequest from INBOX with given messageId.

  Parameters:
    `messageId` - the message for which this GetFullMessageRequest is created.
  Returns:

### createGetFullMessageRequest

    GetFullMessageRequest createGetFullMessageRequest(String messageId,
                                                      String source)

  retrieve message information of the message GetFullMessageRequest for the default ehealthbox.

  Parameters:
    `messageId` - the message for which this GetFullMessageRequest is created.
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
  Returns:

### createGetFullMessageRequest

    GetFullMessageRequest createGetFullMessageRequest(String messageId,
                                                      String source,
                                                      BoxIdType boxId)

  retrieve message information of the message GetFullMessageRequest .

  Parameters:
    `messageId` - the message for which this GetFullMessageRequest is created.
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
  Returns:

### createGetHistoryRequest

    GetHistoryRequest createGetHistoryRequest(String messageId)

  retrieve message information of the message GetHistoryRequest from INBOX with given messageId.

  Parameters:
    `messageId` - the message for which this GetHistoryRequest is created.
  Returns:

### createGetHistoryRequest

    GetHistoryRequest createGetHistoryRequest(String messageId,
                                              String source)

  retrieve message information of the message GetHistoryRequest for the default ehealthbox.

  Parameters:
    `messageId` - the message for which this GetHistoryRequest is created.
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
  Returns:

### createGetHistoryRequest

    GetHistoryRequest createGetHistoryRequest(String messageId,
                                              String source,
                                              BoxIdType boxId)

  retrieve message information of the message GetHistoryRequest .

  Parameters:
    `messageId` - the message for which this GetHistoryRequest is created.
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
  Returns:

### createMoveMessageRequest

    MoveMessageRequest createMoveMessageRequest(String source,
                                                String destination,
                                                String... messageIds)

  move messages between sources for default ehealthbox.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `messageIds` - the messageIds that need to be moved
  Returns:

### createMoveMessageRequest

    MoveMessageRequest createMoveMessageRequest(String source,
                                                String destination,
                                                List<String> messageIds)

  move messages between sources for default ehealthbox.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `messageIds` - the messageIds that need to be moved
  Returns:

### createMoveMessageRequest

    MoveMessageRequest createMoveMessageRequest(String source,
                                                String destination,
                                                BoxIdType boxId,
                                                String... messageIds)

  move messages beteen source for given ehealthboxes.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
    `messageIds` - the messageIds that need to be moved
  Returns:

### createMoveMessageRequest

    MoveMessageRequest createMoveMessageRequest(String source,
                                                String destination,
                                                BoxIdType boxId,
                                                List<String> messageIds)

  move messages beteen source for given ehealthboxes.

  Parameters:
    `source` - the source of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `destination` - the destination of the messages , INBOX, BININBOX, SENTBOX, BINSENTBOX ... see cookbook
    `boxId` - `BoxIdType` the ehealthBox to use
    `messageIds` - the messageIds that need to be moved
  Returns:

### createGetMessageAcknowledgmentsStatusRequest

    GetMessageAcknowledgmentsStatusRequest createGetMessageAcknowledgmentsStatusRequest(String messageId)

  retrieve acknowledementStatuses for a message. a maximum of 100 statussen will be retrieved.

  Parameters:
    `messageId` - the id of the message for which this request is created.
  Returns:

### createGetMessageAcknowledgmentsStatusRequest

    GetMessageAcknowledgmentsStatusRequest createGetMessageAcknowledgmentsStatusRequest(String messageId,
                                                                                        Integer startIndex,
                                                                                        Integer endIndex,
                                                                                        BoxIdType boxId)

  retrieve acknowledementStatuses for a message.

  Parameters:
    `messageId` - the id of the message for which this request is created.
    `startIndex` - index of the first message , min 1
    `endIndex` - index of the last message, max startIndex + 100
    `boxId` - `BoxIdType` the ehealthBox to use
  Returns:

### createDeleteOoORequest

    DeleteOoORequest createDeleteOoORequest(String... oOoIds)

  delete the OoO's for the default ehealthbox.

  Parameters:
    `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
  Returns:

### createDeleteOoORequest

    DeleteOoORequest createDeleteOoORequest(List<String> oOoIds)

  delete the OoO's for the default ehealthbox.

  Parameters:
    `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
  Returns:

### createDeleteOoORequest

    DeleteOoORequest createDeleteOoORequest(BoxIdType boxId,
                                            String... oOoIds)

  delete the OoO's for the given ehealthBoxes.

  Parameters:
    `boxId` - `BoxIdType` the ehealthBox to use
    `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
  Returns:

### createDeleteOoORequest

    DeleteOoORequest createDeleteOoORequest(BoxIdType boxId,
                                            List<String> oOoIds)

  delete the OoO's for the given ehealthBoxes.

  Parameters:
    `boxId` - `BoxIdType` the ehealthBox to use
    `oOoIds` - the OoO (Out of Office) ids , as retrieved with the GetOoOList method.
  Returns:

### createGetOoOListRequest

    GetOoOListRequest createGetOoOListRequest()

  retrieve the Out Of Offices for the default ehealthbox.

  Returns:

### createGetOoOListRequest

    GetOoOListRequest createGetOoOListRequest(BoxIdType boxId)

  retrieve the Out Of Offices for the given ehealthBox.

  Parameters:
    `boxId` - the `BoxIdType` indicating the ehealthBox to use.
  Returns:

### createInsertOoORequest

    InsertOoORequest createInsertOoORequest(org.joda.time.DateTime startDate,
                                            org.joda.time.DateTime endDate,
                                            BoxIdType... substitutes)

  Insert an Out of Office with substitutes for the default ehealthBox.

  Parameters:
    `startDate` - the start date of the Out Of Office.
    `endDate` - the end date of the Out of Office
    `substitutes` - zero or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
  Returns:

### createInsertOoORequest

    InsertOoORequest createInsertOoORequest(org.joda.time.DateTime startDate,
                                            org.joda.time.DateTime endDate,
                                            List<BoxIdType> substitutes)

  Insert an Out of Office with substitutes for the default ehealthBox.

  Parameters:
    `startDate` - the start date of the Out Of Office.
    `endDate` - the end date of the Out of Office
    `substitutes` - zero or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
  Returns:

### createInsertOoORequest

    InsertOoORequest createInsertOoORequest(BoxIdType boxId,
                                            org.joda.time.DateTime startDate,
                                            org.joda.time.DateTime endDate,
                                            BoxIdType... substitutes)

  Insert an Out of Office with substitutes for the given Ehealthboxes .

  Parameters:
    `boxId` - `BoxIdType` the ehealthBox to use
    `startDate` - the start date of the Out Of Office.
    `endDate` - the end date of the Out of Office
    `substitutes` - one or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
  Returns:

### createInsertOoORequest

    InsertOoORequest createInsertOoORequest(BoxIdType boxId,
                                            org.joda.time.DateTime startDate,
                                            org.joda.time.DateTime endDate,
                                            List<BoxIdType> substitutes)

  Insert an Out of Office with substitutes for the given Ehealthboxes .

  Parameters:
    `boxId` - `BoxIdType` the ehealthBox to use
    `startDate` - the start date of the Out Of Office.
    `endDate` - the end date of the Out of Office
    `substitutes` - one or more `BoxIdType` indicating the substitutes ( ehealthBoxes to forward the mail to during the Out of Office period )
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.